Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin
Interface DynamicConnectionManager

    public interface DynamicConnectionManager

Manage dynamic connections. Users can call jet.server.api.AdminService.getDynamicConnectionManager() to get the DynamicConnectionManager object. Users can call the method addDynamicConnection(鈥� to add a new dynamic connection by program. Also can call the method updateDynamicConnection(...) to update a exists dynamic connection by program.

Method Summary
`int` | `addDynamicConnection(DynamicConnectionRecord record, java.lang.String submitter)` Add a new dynamic connection.
`java.util.List<DynamicConnectionRecord>` | `getAllDynamicConnections(java.lang.String orgName, java.lang.String submitter)` Gets all dynamic connections which are visible for the specified organization.
`java.util.List<DynamicConnectionRecord>` | `getDynamicConnections(java.lang.String orgName, java.lang.String catalog, java.lang.String datasource, java.lang.String submitter)` Gets dynamic connections of the specified organization, catalog and datasource.
`java.util.List<DynamicConnectionRecord>` | `getDynamicConnections(java.lang.String orgName, java.lang.String catalog, java.lang.String datasource, java.lang.String connectionName, java.lang.String submitter)` Gets dynamic connections of the specified organization, catalog, datasource and connection name.
`void` | `removeDynamicConnection(int recordId, java.lang.String submitter)` Remove the dynamic connection which identified by the `DynamicConnectionRecord.getRecordId()`.
`void` | `updateDynamicConnection(DynamicConnectionRecord record, java.lang.String submitter)` Update the dynamic connection which identified by the record.dynamicConnectionId. All dynamic connection properties (including UserMappings) will be replaced by the specified DynamicConnectionRecord.

Method Detail

### getAllDynamicConnections

    java.util.List<DynamicConnectionRecord> getAllDynamicConnections(java.lang.String orgName,
                                                                     java.lang.String submitter)
                                                                     throws RptServerException

  Gets all dynamic connections which are visible for the specified organization.

  Parameters:
    `orgName` - the organization name. `null` represents none-organization.
    `submitter` - the submitter user id.
  Returns:
    List of DynamicConnectionRecord
  Throws:
    `RptServerException` - storage IOEexception.

### getDynamicConnections

    java.util.List<DynamicConnectionRecord> getDynamicConnections(java.lang.String orgName,
                                                                  java.lang.String catalog,
                                                                  java.lang.String datasource,
                                                                  java.lang.String submitter)
                                                                  throws RptServerException

  Gets dynamic connections of the specified organization, catalog and datasource.

  Parameters:
    `orgName` - the organization name, `null` represents none-organization.
    `submitter` - the submitter user id.
    `catalog` - the catalog resource path
    `datasource` - the datasource name in the catalog.
  Returns:
    List of DynamicConnectionRecord
  Throws:
    `RptServerException` - storage IOEexception.

### getDynamicConnections

    java.util.List<DynamicConnectionRecord> getDynamicConnections(java.lang.String orgName,
                                                                  java.lang.String catalog,
                                                                  java.lang.String datasource,
                                                                  java.lang.String connectionName,
                                                                  java.lang.String submitter)
                                                                  throws RptServerException

  Gets dynamic connections of the specified organization, catalog, datasource and connection name.

  Parameters:
    `orgName` - the organization name, `null` represents none-organization.
    `submitter` - the submitter user id.
    `catalog` - the catalog resource path
    `datasource` - the datasource name in the catalog.
    `connectionName` - the connection name in the catalog.
  Returns:
    List of DynamicConnectionRecord
  Throws:
    `RptServerException` - storage IOEexception.

### addDynamicConnection

    int addDynamicConnection(DynamicConnectionRecord record,
                             java.lang.String submitter)
                             throws RptServerException

  Add a new dynamic connection.

  Parameters:
    `record` -
    `submitter` - the submitter user id.
  Returns:
    the dynamicConnectionId generated by the storage, this method will not change the original record.dynamicConnectionId.
  Throws:
    `RptServerException` - storage IOEexception or specified information not satisfy storage constrains see `DynamicConnectionRecord`, `DynamicConnectionUserMapping`.

### updateDynamicConnection

    void updateDynamicConnection(DynamicConnectionRecord record,
                                 java.lang.String submitter)
                                 throws RptServerException

  Update the dynamic connection which identified by the record.dynamicConnectionId.
  All dynamic connection properties (including UserMappings) will be replaced by the specified DynamicConnectionRecord.

  Parameters:
    `record` -
    `submitter` - the submitter user id.
  Throws:
    `RptServerException` - storage IOEexception, or specified information not satisfy storage constrains see `DynamicConnectionRecord`, `DynamicConnectionUserMapping`.

### removeDynamicConnection

    void removeDynamicConnection(int recordId,
                                 java.lang.String submitter)
                                 throws RptServerException

  Remove the dynamic connection which identified by the `DynamicConnectionRecord.getRecordId()`.

  Parameters:
    `recordId` - the dynamic connection record id to be removed.
    `submitter` - the submitter user id.
  Throws:
    `RptServerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD